"use strict";

exports.__esModule = true;
exports.command = void 0;
require("core-js/modules/es.array.includes.js");
require("core-js/modules/es.string.includes.js");
var command = {
  name: 'editorCloseAndSave',
  callback: function callback(hot, event, keys) {
    var editorManager = hot._getEditorManager();
    editorManager.closeEditorAndSaveChanges(hot.getShortcutManager().isCtrlPressed());
    editorManager.moveSelectionAfterEnter(keys.includes('shift'));
  }
};
exports.command = command;